package mg.dot.feufaro.ui

import androidx.compose.foundation.*
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import androidx.compose.foundation.layout.*
import androidx.compose.foundation.lazy.LazyListState

@Composable
actual fun ScrollableDrawerContent(
    modifier: Modifier,
    lazyListState: LazyListState,
    content: @Composable () -> Unit
) {
    val scrollState = rememberScrollState()

    Box(modifier = modifier) {
        content()

        VerticalScrollbar(
            modifier = Modifier.align(Alignment.CenterEnd).fillMaxHeight().width(8.dp),
            adapter = rememberScrollbarAdapter(lazyListState)
        )
    }
}